From b3680a6003916fdee8fb2bb6eb61462f1368bb9f Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Mon, 23 Jun 2014 16:04:21 +0100
Subject: [PATCH 10/13] Verify fewer packages in rpm plug-in

The current default set of packages to verify includes debuginfo
and devel subpackages. Filter these out to reduce the time spent
running rpm -V.

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

Conflicts:

	sos/plugins/rpm.py
---
 sos/plugins/rpm.py | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

diff --git a/sos/plugins/rpm.py b/sos/plugins/rpm.py
index 81e057b..d4c80b7 100644
--- a/sos/plugins/rpm.py
+++ b/sos/plugins/rpm.py
@@ -21,7 +21,7 @@ class rpm(sos.plugintools.PluginBase):
                   ("rpmva", "runs a verify on all packages", "slow", False)]
 
     verify_list = [
-        'kernel', 'glibc', 'initscripts',
+        'kernel$', 'glibc', 'initscripts',
         'pam_.*',
         'java.*', 'perl.*',
         'rpm', 'yum',
@@ -41,8 +41,7 @@ class rpm(sos.plugintools.PluginBase):
             verify_list = map(pkgs_by_regex, self.verify_list)
             for pkg_list in verify_list:
                 for pkg in pkg_list:
-                    if pkg['name'].endswith('-debuginfo') or \
-                       pkg['name'].endswith('-debuginfo-common'):
+                    if 'debuginfo' in pkg['name'] or 'devel' in pkg['name']:
                         continue
                     self.collectExtOutput("rpm -V %s" % pkg['name'])
         return
-- 
1.9.3

